Summary: 	Dynamic Kernel Module Support Framework
Name: 		dkms
Version: 	2.0.16
URL:		http://linux.dell.com/dkms
%define subrel	1
Release: 	%mkrel 1
License: 	GPL
Group: 		System/Base
BuildArch: 	noarch
Requires:	kernel-source
Requires:	%{name}-minimal = %{version}-%{release}
Requires(pre):	rpm-helper
Requires(post):	rpm-helper
Requires:	patch
Source:		http://linux.dell.com/dkms/%{name}-%{version}.tar.bz2
Source1:	template-dkms-mkrpm.spec
Source2:	dkms.bash-completion
Patch1:		dkms-2.0.5.9-norpm.patch
Patch2:		dkms-2.0.13-mdkize.patch
Patch3:		dkms-2.0.9-rpmbuild.patch
Patch4:		dkms-2.0.2-compressed-module.patch
Patch5:		dkms-2.0.9-pinit.patch
Patch6:		dkms-2.0.8-pass-arch.patch
Patch7:		dkms-2.0.9-procconfig.patch
Patch8:		dkms-2.0.10-split-version-release.patch
Patch9:		dkms-fix-kernel-make-prepare.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root/

%define _dkmsdir %{_localstatedir}/%{name}

%description
This package contains the framework for the Dynamic
Kernel Module Support (DKMS) method for installing
module RPMS as originally developed by the Dell
Computer Corporation.

This package is intended for building binary kernel
modules with dkms source packages installed

%package minimal
Summary: 	Dynamic Kernel Module Support Framework - minimal package
License: 	GPL
Group: 		System/Base
Requires(preun):	rpm-helper
Requires(post):	rpm-helper

%description minimal
This package contains the framework for the Dynamic
Kernel Module Support (DKMS) method for installing
module RPMS as originally developed by the Dell
Computer Corporation.

This package is intended for installing binary module RPMS
as created by dkms.

%prep
%setup -q
%patch1 -p1 -b .norpm
%patch2 -p1 -b .mdkize
%patch3 -p1 -b .rpmbuild
%patch4 -p1 -b .compressed-module
%patch5 -p1 -b .pinit
%patch6 -p1 -b .pass-arch
%patch7 -p1 -b .procconfig
%patch8 -p3 -b .mkdrpm-split-ver-rel
%patch9 -p1 -b .fix-kernel-make-prepare

#gunzip %{name}.8.gz
sed -i -e 's,/var/%{name},%{_dkmsdir},g;s,init.d/dkms_autoinstaller,init.d/%{name},g' %{name}.8 dkms dkms_autoinstaller dkms_framework.conf
gzip %{name}.8

%install
if [ "%{buildroot}" != "/" ]; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}/{%{_dkmsdir},%{_sbindir},%{_mandir}/man8,%{_sysconfdir}/%{name},%{_initrddir}}
install -m 755 dkms %{buildroot}/%{_sbindir}/dkms
install -m 644 dkms.8.gz %{buildroot}/%{_mandir}/man8
install -m 644 dkms_framework.conf  %{buildroot}%{_sysconfdir}/%{name}/framework.conf
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/
install -m 644 dkms_dbversion %{buildroot}/%{_dkmsdir}/dkms_dbversion
install -m 755 dkms_autoinstaller %{buildroot}%{_initrddir}/%{name}
install -m 755 dkms_mkkerneldoth %{buildroot}/%{_sbindir}/dkms_mkkerneldoth

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean 
if [ "%{buildroot}" != "/" ]; then
        rm -rf %{buildroot}
fi

%post minimal
%_post_service %{name}

%preun minimal
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc %attr (-,root,root) sample.spec sample.conf AUTHORS COPYING template-dkms-mkrpm.spec 

%files minimal
%defattr(-,root,root)
%{_sbindir}/dkms
%{_dkmsdir}
%{_initrddir}/%{name}
%{_sbindir}/dkms_mkkerneldoth
%{_mandir}/man8/dkms.8*
%config(noreplace) %{_sysconfdir}/dkms
%{_sysconfdir}/bash_completion.d/%{name}




%changelog
* Thu Jun 14 2007 Vincent Danen <vdanen@mandriva.com> 2.0.16-1.1mdv2007.1
- build for updates

* Sun Jun 10 2007 Anssi Hannula <anssi@mandriva.org> 2.0.16-1.1mdv2007.1
+ Revision: 37915
- P9: use make prepare instead of make prepare-all, fixing dkms
  builds on 2.6.21+ (this change is compatible with 2.6.13+)

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Wed Feb 28 2007 Olivier Blin <oblin@mandriva.com> 2.0.16-1mdv2007.0
+ Revision: 126888
- 2.0.16

* Tue Feb 27 2007 Olivier Blin <oblin@mandriva.com> 2.0.15-1mdv2007.1
+ Revision: 126226
- 2.0.15 (fix #27985)

* Sun Jan 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.13-4mdv2007.1
+ Revision: 108845
- update base completion

  + Nicolas Lécureuil <neoclust@mandriva.org>

  + Olivier Blin <oblin@mandriva.com>
    - bunzip2 patches
    - Import dkms

* Tue Sep 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.13-3mdv2007.0
- bash completion
- clean file list

* Sat Aug 12 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.0.13-2mdv2007.0
- handle default, legacy & xen0 kernels

* Fri Jun 30 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 2.0.13-1
- 2.0.13

* Fri Jun 16 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 2.0.11.1-1mdk
- 2.0.11.1

* Fri Mar 31 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.11-1mdk
- 2.0.11

* Wed Mar 22 2006 Buchan Milne <bgmilne@mandriva.org> 2.0.10-2mdk
- split version into version and release (pass to rpm) if it contains "_" (p8),
  use release if it is passed frm dkms (S1), fixes bug #21546
- also make S1 easier to read

* Sun Mar 19 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.10-1mdk
- 2.0.10

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 2.0.9-4mdk
- convert parallel init to LSB

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 2.0.9-3mdk
- Patch5: parallel init support

* Tue Dec 20 2005 Olivier Blin <oblin@mandriva.com> 2.0.9-2mdk
- from Pascal Terjan:
  o Patch7: use /proc/config.gz or /boot/config-<VERSION> if available (#16411)

* Sun Dec 18 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-1mdk
- 2.0.9
- rediffed patch3

* Mon Nov 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.0.8-2mdk
- replace a Mandrake occurence

* Fri Nov 11 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.8-1mdk
- 2.0.8

* Thu Sep 08 2005 Olivier Blin <oblin@mandriva.com> 2.0.5.9-3mdk
- update Patch1 so that the dkms service uses i586 for x86 too

* Thu Sep 08 2005 Olivier Blin <oblin@mandriva.com> 2.0.5.9-2mdk
- update Patch1 to use i586 as default arch for ix86,
  when --rpm_safe_upgrade is used

* Tue Aug 09 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.5.9-1mdk
- 2.0.5.9 (testing)
- drop patch 5, it caused original modules being lost

* Tue Jun 21 2005 Frederic Lepied <flepied@mandriva.com> 2.0.5-5mdk
- requires patch

* Fri Jun 03 2005 Frederic Lepied <flepied@mandriva.com> 2.0.5-4mdk
- fix bug #15506 (Angelo Naselli)

* Tue Feb 22 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.5-3mdk
- fix build of dkms packages for Mandrakelinux

* Wed Feb 02 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.5-2mdk
- patch (p5) to find gzip-ed modules during install (so that we actually
  find original modules and archive them)

* Thu Jan 27 2005 Frederic Lepied <flepied@mandrakesoft.com> 2.0.5-1mdk
- New release 2.0.5

* Tue Dec 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.4-1mdk
- New release 2.0.4

* Sat Dec 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.3-1mdk
- New release 2.0.3

* Fri Nov 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.2-2mdk
- fix initscript to not use rpm

* Thu Nov 04 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2

* Fri Oct 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.0-7mdk
- compressed module support (p4)

* Wed Oct 27 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-6mdk
- fix version_checker() function

* Wed Sep 15 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.0-5mdk
- fix init script (p1)

* Tue Sep 14 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.0.0-4mdk
- remove "Requires: kernel = ${kernel}" in template-dkms-mkrpm.spec for the moment.

* Sat Sep 04 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.0.0-3mdk
- config_arch = uname -m as default.

* Fri Sep 03 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.0.0-2mdk
- mdkize compatible with distro above 10.1.
- fix mdkize, remember mandrakelinux at start is based on a redhat distro.
- mkrpm fixes (rpmbuild check and local language workaround). (flepied)
- updated spec file template to conform to Mandrakelinux usage and to
depend only on dkms-minimal. (flepied)

* Fri Sep 03 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0.
- full mdk kernel support.

* Sun Aug 15 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.95.32-1mdk
- 1.95.32
- drop P1 and P2 (merged upstream)
- don't run rpm at all with --rpm_safe_upgrade (P1)
- ship original template spec file

* Sat Jul 10 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.94.16-1mdk
- 1.94.16
- fix kernel preparation (p1)
- fix to mkrpm to allow running as non-root (depending on spec file) (p1)
- fixes spec file to do mktarball (p2)
- add custom template spec file that allows build as non-root using
  mandrake-stlye sinlge-kernel-per rpm

* Sun Jun 27 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.93.14-1mdk
- 1.93.14
- move dkmsdir to /var/lib
- drop patches integrated upstream

* Thu Jun 10 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.10-2mdk
- add mkrpm command

* Tue Jun 08 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.10-1mdk
- 1.10

* Mon Jun 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.05-1mdk
- Mandrake adaptions

